Create and manage customers. Optional metadata on create/update stores merchant-defined key/value pairs—see the Metadata guide (/metadata).
Customers - Create
Creates a customer object and stores the customer details to be reused for future payments. Incase the customer already exists in the system, this API will respond with the customer details.
Optional metadata on the request body attaches merchant-defined string key/value pairs to the customer (limits in schema). See Metadata.
Customers - Create › Request Body
customer_idThe identifier for the customer object. If not provided the customer ID will be autogenerated.
nameThe customer's name
emailThe customer's email address
phoneThe customer's phone number
descriptionAn arbitrary string that you can attach to a customer object.
phone_country_codeThe country code for the customer phone number
Address details
metadataMerchant-defined string key/value pairs. Limits: up to 50 keys; key names up to 40 characters; values up to 500 characters. PaySwitch does not interpret these keys—use them for your own logic (e.g. KYC status, trust tier, internal user id). Full guide: /metadata. Do not store secrets, card numbers, or passwords in metadata.
tax_registration_idCustomer's tax registration ID
Customers - Create › Responses
Customer Created
customer_idThe identifier for the customer object
created_atA timestamp (ISO 8601 code) that determines when the customer was created
nameThe customer's name
emailThe customer's email address
phoneThe customer's phone number
phone_country_codeThe country code for the customer phone number
descriptionAn arbitrary string that you can attach to a customer object.
Address details
metadataMerchant-defined string key/value pairs. Limits: up to 50 keys; key names up to 40 characters; values up to 500 characters. PaySwitch does not interpret these keys—use them for your own logic (e.g. KYC status, trust tier, internal user id). Full guide: /metadata. Do not store secrets, card numbers, or passwords in metadata.
default_payment_method_idThe identifier for the default payment method.
tax_registration_idThe customer's tax registration number.
Customers - Retrieve
Retrieves a customer's details.
path Parameters
customer_idThe unique identifier for the Customer
Customers - Retrieve › Responses
Customer Retrieved
customer_idThe identifier for the customer object
created_atA timestamp (ISO 8601 code) that determines when the customer was created
nameThe customer's name
emailThe customer's email address
phoneThe customer's phone number
phone_country_codeThe country code for the customer phone number
descriptionAn arbitrary string that you can attach to a customer object.
Address details
metadataMerchant-defined string key/value pairs. Limits: up to 50 keys; key names up to 40 characters; values up to 500 characters. PaySwitch does not interpret these keys—use them for your own logic (e.g. KYC status, trust tier, internal user id). Full guide: /metadata. Do not store secrets, card numbers, or passwords in metadata.
default_payment_method_idThe identifier for the default payment method.
tax_registration_idThe customer's tax registration number.
Customers - Update
Updates the customer's details in a customer object.
path Parameters
customer_idThe unique identifier for the Customer
Customers - Update › Request Body
nameThe customer's name
emailThe customer's email address
phoneThe customer's phone number
descriptionAn arbitrary string that you can attach to a customer object.
phone_country_codeThe country code for the customer phone number
Address details
metadataMerchant-defined string key/value pairs. Limits: up to 50 keys; key names up to 40 characters; values up to 500 characters. PaySwitch does not interpret these keys—use them for your own logic (e.g. KYC status, trust tier, internal user id). Full guide: /metadata. Do not store secrets, card numbers, or passwords in metadata.
tax_registration_idCustomer's tax registration ID
Customers - Update › Responses
Customer was Updated
customer_idThe identifier for the customer object
created_atA timestamp (ISO 8601 code) that determines when the customer was created
nameThe customer's name
emailThe customer's email address
phoneThe customer's phone number
phone_country_codeThe country code for the customer phone number
descriptionAn arbitrary string that you can attach to a customer object.
Address details
metadataMerchant-defined string key/value pairs. Limits: up to 50 keys; key names up to 40 characters; values up to 500 characters. PaySwitch does not interpret these keys—use them for your own logic (e.g. KYC status, trust tier, internal user id). Full guide: /metadata. Do not store secrets, card numbers, or passwords in metadata.
default_payment_method_idThe identifier for the default payment method.
tax_registration_idThe customer's tax registration number.
Customers - Delete
Delete a customer record.
path Parameters
customer_idThe unique identifier for the Customer
Customers - Delete › Responses
Customer was Deleted
customer_idThe identifier for the customer object
customer_deletedWhether customer was deleted or not
address_deletedWhether address was deleted or not
payment_methods_deletedWhether payment methods deleted or not
Customers - List
Lists all the customers for a particular merchant id.
query Parameters
offsetOffset for pagination
limitLimit for pagination
Customers - List › Responses
Customers retrieved
customer_idThe identifier for the customer object
created_atA timestamp (ISO 8601 code) that determines when the customer was created
nameThe customer's name
emailThe customer's email address
phoneThe customer's phone number
phone_country_codeThe country code for the customer phone number
descriptionAn arbitrary string that you can attach to a customer object.
Address details
metadataMerchant-defined string key/value pairs. Limits: up to 50 keys; key names up to 40 characters; values up to 500 characters. PaySwitch does not interpret these keys—use them for your own logic (e.g. KYC status, trust tier, internal user id). Full guide: /metadata. Do not store secrets, card numbers, or passwords in metadata.
default_payment_method_idThe identifier for the default payment method.
tax_registration_idThe customer's tax registration number.